org.jboss.logmanager.handlers

## Class Handlers

- java.lang.Object
- - org.jboss.logmanager.handlers.Handlers

    public final class Handlers
    extends Object

Handler utility methods.

### Method Summary

Methods
`static Runnable` `flusher(Handler handler)` Create a `Runnable` task that flushes a handler.
`static FlushableCloseable` `wrap(Handler handler)` Create a wrapper that exposes the handler's close and flush methods via the I/O API.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### wrap

    public static FlushableCloseable wrap(Handler handler)

Create a wrapper that exposes the handler's close and flush methods via the I/O API.

Parameters:
  `handler` - the logging handler
Returns:
  the wrapper

#### flusher

    public static Runnable flusher(Handler handler)

Create a `Runnable` task that flushes a handler.

Parameters:
  `handler` - the handler
Returns:
  a flushing task